﻿using System;
using System.Linq;
using System.Xml;
using System.Collections.Generic;
using UnityEngine;
using System.Text;

public static class SilentAttackFixMethod
{
    //0 Normal 1 Sleeper Not Silent Attack
    private static byte _silentAttackFix = 0;
    public static bool IsSilentAttackFix()
    {
        return (_silentAttackFix == 1);
    }
    public static void AttackAlert(EntityAlive entityAlive)
    {
        if (IsSilentAttackFix())
        {
            if (entityAlive.attackingTime > 0)
            {
                if (entityAlive.UL-- <= 0)
                {
                    if (entityAlive.bodyDamage.CurrentStun == global::EnumEntityStunType.None)
                    {
                        if (!entityAlive.IsDead())
                        {
                            if (!entityAlive.SleeperSupressLivingSounds)
                            {
                                if (entityAlive.ApproachingEnemy && entityAlive.GetSoundAlert() != null)
                                {
                                    //                                entityAlive.UL = entityAlive.GetSoundAlertTime() - UnityEngine.Random.Range(0, entityAlive.GetSoundAlertTime() / 2);
                                    entityAlive.UL = entityAlive.IL - UnityEngine.Random.Range(0, entityAlive.IL / 2);
                                    if (!entityAlive.IsScoutZombie)
                                    {
                                        entityAlive.PlayOneShot(entityAlive.GetSoundAlert());
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }


    }
    public static void SetAddAttribute(XmlElement element)
    {
        if (element.HasAttribute("SilentAttackFix"))
        {
            _silentAttackFix = byte.Parse(element.GetAttribute("SilentAttackFix"));
        }
        else
        {
            _silentAttackFix = 0;
        }
    }

}
